summaryrefslogtreecommitdiffstats
path: root/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild')
-rwxr-xr-xextra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild82
1 files changed, 5 insertions, 77 deletions
diff --git a/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild b/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild
index ed2a324d3..27c091cdf 100755
--- a/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild
+++ b/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -28,72 +28,6 @@
# Descr: Adobe flash player plugin for mozilla
# URL:
# http://labs.adobe.com/technologies/flashplatformruntimes/flashplayer11/
-# Needs:
-# Changelog:
-# 10.0.d20.7-1: 16/Dec/2008 by Eric Hameleers <alien@slackware.com>
-# * Initial build.
-# 10.0.d21.1-1: 20/Dec/2008 by Eric Hameleers <alien@slackware.com>
-# * Update.
-# 10.0.22.87-1: 26/feb/2009 by Eric Hameleers <alien@slackware.com>
-# * Update (plugs vulnerability).
-# 10.0.32.18-1: 10/aug/2009 by Patrick J. Volkerding <volkerdi@slackware.com>
-# * Update (plugs vulnerability).
-# 10.0.42.34-1: 14/dec/2009 by Patrick J. Volkerding <volkerdi@slackware.com>
-# * Update (plugs vulnerability).
-# 10.091510-1: 15/sep/2010 by Eric Hameleers <alien@slackware.com>
-# * Preview1 of "flash player square".
-# 10.092710-1: 28/sep/2010 by Eric Hameleers <alien@slackware.com>
-# * Preview2 of "flash player square".
-# 10_2.111710-1: 28/sep/2010 by Eric Hameleers <alien@slackware.com>
-# * New preview of "flash player square" for 64-bit Linux; there
-# is no more 32-bit "square" version, because new developments
-# are being folded into regular flashplayer10.
-# 11b1.071311-1: 25/jul/2011 by Eric Hameleers <alien@slackware.com>
-# * Update to version 11 beta 1.
-# Looks like 64-bit support has finally been folded into the
-# mainstream development of the plugin.
-# 11b1.080811-1: 12/aug/2011 by Eric Hameleers <alien@slackware.com>
-# * Update to version 11 beta 2.
-# 11r1.090611-1: 11/sep/2011 by Eric Hameleers <alien@slackware.com>
-# * Update to version 11 release candidate 1.
-# 11.0.1.152-1: 04/oct/2011 by Eric Hameleers <alien@slackware.com>
-# * Update to stable release 11!
-# 11.1.102.55-1: 05/feb/2012 by Eric Hameleers <alien@slackware.com>
-# * Update to release 11.1.
-# 11.1.102.62-1: 05/feb/2012 by Eric Hameleers <alien@slackware.com>
-# * Minor update.
-# 11.2.202.228-1:29/mar/2012 by Eric Hameleers <alien@slackware.com>
-# * Minor update.
-# 11.2.202.233-1:20/apr/2012 by Eric Hameleers <alien@slackware.com>
-# * Minor update.
-# 11.2.202.235-1:05/may/2012 by Eric Hameleers <alien@slackware.com>
-# * Minor update.
-# 11.2.202.236-1:19/jun/2012 by Eric Hameleers <alien@slackware.com>
-# * Minor update.
-# 11.2.202.238-1:15/aug/2012 by Eric Hameleers <alien@slackware.com>
-# * Security update.
-# 11.2.202.243-1:10/oct/2012 by Eric Hameleers <alien@slackware.com>
-# * Update.
-# 11.2.202.251-1:08/nov/2012 by Eric Hameleers <alien@slackware.com>
-# * Update.
-# 11.2.202.258-1:13/dec/2012 by Eric Hameleers <alien@slackware.com>
-# * Update.
-# 11.2.202.261-1:12/jan/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-01.
-# 11.2.202.270-1:12/feb/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-04.
-# 11.2.202.273-1:01/mar/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-08.
-# 11.2.202.275-1:13/mar/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-09.
-# 11.2.202.280-1:10/apr/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-11.
-# 11.2.202.285-1:15/may/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-14.
-# 11.2.202.291-1:12/jun/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-16.
-# 11.2.202.297-1:21/jul/2013 by Eric Hameleers <alien@slackware.com>
-# * Update fixes critical vulnerabilities. See APSB13-17.
#
# Run 'sh flashplayer-plugin.SlackBuild' to build a Slackware package.
# The package (.txz) and .txt file as well as build logs are created in /tmp .
@@ -104,10 +38,11 @@
# Set initial variables:
PRGNAM=flashplayer-plugin
-VERSION=${VERSION:-"11.2.202.297"}
+# Determine the latest version by checking the web page:
+VERSION=${VERSION:-"$(wget -O - http://www.adobe.com/software/flash/about/ 2>/dev/null | sed -n "/Firefox - NPAPI/{N;p}" | tr -d ' '| tail -1 | tr '<>' ' ' | cut -f3 -d ' ')"}
MAJVER=$(echo $VERSION | cut -d. -f1)
BUILD=${BUILD:-1}
-TAG=${TAG:-"alien"}
+TAG=${TAG:-}
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
@@ -233,18 +168,11 @@ if [ -x usr/bin/update-desktop-database ]; then
chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi
-# Update hicolor theme cache:
-if [ -d usr/share/icons/hicolor ]; then
- if [ -x /usr/bin/gtk-update-icon-cache ]; then
- chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
- fi
-fi
-
EOINS
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv *.txt $PKG/usr/doc/$PRGNAM-$VERSION/ || true
+mv LGPL *.txt $PKG/usr/doc/$PRGNAM-$VERSION/ || true
cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;